<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <filename>index</filename>
    <title>%Karm API Overview</title>
    <name>index</name>
    <docanchor>map</docanchor>
    <docanchor>intro</docanchor>
    <docanchor>related</docanchor>
  </compound>
  <compound kind="class">
    <name>KAccelMenuWatch</name>
    <filename>classKAccelMenuWatch.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>updateMenus</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAccelMenuWatch</name>
      <anchor>a0</anchor>
      <arglist>(KAccel *accel, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KAccelMenuWatch</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMenu</name>
      <anchor>a2</anchor>
      <arglist>(QPopupMenu *menu)</arglist>
    </member>
    <member kind="function">
      <type>QPopupMenu *</type>
      <name>currentMenu</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchor>a4</anchor>
      <arglist>(int itemId, const char *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchor>a5</anchor>
      <arglist>(int itemId, KStdAccel::StdAccel)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmStorage</name>
    <filename>classKarmStorage.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>load</name>
      <anchor>a0</anchor>
      <arglist>(TaskView *taskview, const Preferences *preferences)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a1</anchor>
      <arglist>(TaskView *taskview)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFile</name>
      <anchor>a2</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFileCumulative</name>
      <anchor>a3</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchor>a4</anchor>
      <arglist>(const Task *task, const long deltaSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a5</anchor>
      <arglist>(const Task *, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTimer</name>
      <anchor>a6</anchor>
      <arglist>(const Task *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopTimer</name>
      <anchor>a7</anchor>
      <arglist>(const Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchor>a8</anchor>
      <arglist>(const Task *task, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeTask</name>
      <anchor>a9</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>addTask</name>
      <anchor>a10</anchor>
      <arglist>(const Task *task, const Task *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNewStorage</name>
      <anchor>a12</anchor>
      <arglist>(const Preferences *preferences) const</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchor>a13</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KarmStorage *</type>
      <name>instance</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArmTimeWidget</name>
    <filename>classKArmTimeWidget.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KArmTimeWidget</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchor>a1</anchor>
      <arglist>(int hour, int minute)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>time</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DesktopTracker</name>
    <filename>classDesktopTracker.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>handleDesktopChange</name>
      <anchor>g0</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>reachedtActiveDesktop</name>
      <anchor>j0</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>leftActiveDesktop</name>
      <anchor>j1</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DesktopTracker</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTrackers</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTracking</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerForDesktops</name>
      <anchor>a3</anchor>
      <arglist>(Task *task, DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktopCount</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EditTaskDialog</name>
    <filename>classEditTaskDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>EditTaskDialog</name>
      <anchor>a0</anchor>
      <arglist>(QString caption, bool editDlg, DesktopList *desktopList=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTask</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name, long time, long sessionTime)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskName</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>status</name>
      <anchor>a3</anchor>
      <arglist>(long *time, long *timeDiff, long *session, long *sessionDiff, DesktopList *desktopList) const</arglist>
    </member>
    <member kind="function" protection="public">
      <type>int</type>
      <name>getDesktopCount</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HistoryEvent</name>
    <filename>classHistoryEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchor>a1</anchor>
      <arglist>(QString uid, QString name, long duration, QDateTime start, QDateTime stop, QString todoUid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>duration</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>start</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>stop</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>todoUid</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdleTimeDetector</name>
    <filename>classIdleTimeDetector.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>setMaxIdle</name>
      <anchor>g0</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startIdleDetection</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopIdleDetection</name>
      <anchor>g2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOverAllIdleDetection</name>
      <anchor>g3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>extractTime</name>
      <anchor>j0</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdleTimeDetector</name>
      <anchor>a0</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdleDetectionPossible</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>check</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindow</name>
    <filename>classMainWindow.html</filename>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>keyBindings</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>startNewSession</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>resetAllTimes</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateTime</name>
      <anchor>h3</anchor>
      <arglist>(long, long)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateStatusBar</name>
      <anchor>h4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>save</name>
      <anchor>h5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>quit</name>
      <anchor>h6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>print</name>
      <anchor>h7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchor>h8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>contextMenuRequest</name>
      <anchor>h9</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>enableStopAll</name>
      <anchor>h10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>disableStopAll</name>
      <anchor>h11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>startStatusBar</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchor>b1</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>saveGeometry</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>loadGeometry</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>bool</type>
      <name>queryClose</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KarmTray</name>
      <anchor>l0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyPrinter</name>
    <filename>classMyPrinter.html</filename>
    <member kind="function">
      <type></type>
      <name>MyPrinter</name>
      <anchor>a0</anchor>
      <arglist>(const TaskView *taskView)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printLine</name>
      <anchor>a2</anchor>
      <arglist>(QString total, QString session, QString name, QPainter &amp;, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTask</name>
      <anchor>a3</anchor>
      <arglist>(Task *task, QPainter &amp;, int level)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>calculateReqNameWidth</name>
      <anchor>a4</anchor>
      <arglist>(Task *task, QFontMetrics &amp;metrics, int level)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Preferences</name>
    <filename>classPreferences.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>showDialog</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>load</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchor>g2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>detectIdleness</name>
      <anchor>j0</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>idlenessTimeout</name>
      <anchor>j1</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iCalFile</name>
      <anchor>j2</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSave</name>
      <anchor>j3</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSavePeriod</name>
      <anchor>j4</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setupChanged</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableIdleDetection</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detectIdleness</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>idlenessTimeout</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iCalFile</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>activeCalendarFile</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoSave</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>autoSavePeriod</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>promptDelete</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>displayColumn</name>
      <anchor>a8</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userRealName</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSignals</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Preferences *</type>
      <name>instance</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>idleDetectCheckBoxChanged</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>autoSaveCheckBoxChanged</name>
      <anchor>h3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Task</name>
    <filename>classTask.html</filename>
    <base>QObject</base>
    <base>QListViewItem</base>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchor>j0</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deletingTask</name>
      <anchor>j1</anchor>
      <arglist>(Task *thisTask)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Task</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>firstChild</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>nextSibling</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>parent</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TaskView *</type>
      <name>taskView</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchor>a6</anchor>
      <arglist>(const QString uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cut</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchor>a8</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paste</name>
      <anchor>a9</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parseIncidence</name>
      <anchor>a11</anchor>
      <arglist>(KCal::Incidence *, long &amp;minutes, long &amp;sessionMinutes, QString &amp;name, DesktopList &amp;desktops, int &amp;percent_complete)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Todo *</type>
      <name>asTodo</name>
      <anchor>a12</anchor>
      <arglist>(KCal::Todo *calendar) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchor>a13</anchor>
      <arglist>(QString comment, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRoot</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>remove</name>
      <anchor>a16</anchor>
      <arglist>(QPtrList&lt; Task &gt; &amp;activeTasks, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPercentComplete</name>
      <anchor>a17</anchor>
      <arglist>(const int percent, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFromView</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Task</name>
      <anchor>z0_0</anchor>
      <arglist>(const QString &amp;taskame, long minutes, long sessionTime, DesktopList desktops, TaskView *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Task</name>
      <anchor>z0_1</anchor>
      <arglist>(const QString &amp;taskame, long minutes, long sessionTime, DesktopList desktops, Task *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Task</name>
      <anchor>z0_2</anchor>
      <arglist>(KCal::Todo *incident, TaskView *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchor>z1_0</anchor>
      <arglist>(long minutes, bool do_logging, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTimes</name>
      <anchor>z1_1</anchor>
      <arglist>(long minutesSession, long minutes, bool do_logging, KarmStorage *storage=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTotalTimes</name>
      <anchor>z1_2</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimes</name>
      <anchor>z1_3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>time</name>
      <anchor>z1_4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalTime</name>
      <anchor>z1_5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>sessionTime</name>
      <anchor>z1_6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalSessionTime</name>
      <anchor>z1_7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>startTime</name>
      <anchor>z1_8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchor>z1_9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDesktopList</name>
      <anchor>z2_0</anchor>
      <arglist>(DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>DesktopList</type>
      <name>getDesktops</name>
      <anchor>z2_1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getDesktopStr</name>
      <anchor>z2_2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>z3_0</anchor>
      <arglist>(const QString &amp;name, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>z3_1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchor>z3_2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRunning</name>
      <anchor>z4_0</anchor>
      <arglist>(bool on, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchor>z4_1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateActiveIcon</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>changeParentTotalTimes</name>
      <anchor>b0</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskView</name>
    <filename>classTaskView.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startCurrentTimer</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopCurrentTimer</name>
      <anchor>g2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchor>g3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeTimer</name>
      <anchor>g4</anchor>
      <arglist>(QListViewItem *=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchor>g6</anchor>
      <arglist>(QString caption, Task *parent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadFromFlatFile</name>
      <anchor>g7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTask</name>
      <anchor>g8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editTask</name>
      <anchor>g9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTask</name>
      <anchor>g10</anchor>
      <arglist>(bool markingascomplete=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>markTaskAsComplete</name>
      <anchor>g11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>extractTime</name>
      <anchor>g12</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>taskTotalTimesChanged</name>
      <anchor>g13</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>adaptColumns</name>
      <anchor>g14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deletingTask</name>
      <anchor>g15</anchor>
      <arglist>(Task *deletedTask)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startTimerFor</name>
      <anchor>g16</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopTimerFor</name>
      <anchor>g17</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>iCalFileChanged</name>
      <anchor>g18</anchor>
      <arglist>(QString file)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipTotals</name>
      <anchor>g19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipHistory</name>
      <anchor>g20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchor>j0</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updateButtons</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersActive</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersInactive</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tasksChanged</name>
      <anchor>j4</anchor>
      <arglist>(QPtrList&lt; Task &gt; activeTasks)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskView</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TaskView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>first_child</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>current_item</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>item_at_index</name>
      <anchor>a4</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimeForAllTasks</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>count</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchor>a9</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scheduleSave</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>autoSaveChanged</name>
      <anchor>h0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>autoSavePeriodChanged</name>
      <anchor>h1</anchor>
      <arglist>(int period)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>minuteUpdate</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimeKard</name>
    <filename>classTimeKard.html</filename>
    <member kind="function">
      <type></type>
      <name>TimeKard</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>totalsAsText</name>
      <anchor>a1</anchor>
      <arglist>(TaskView *taskview, bool justThisTask=true)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>historyAsText</name>
      <anchor>a2</anchor>
      <arglist>(TaskView *taskview, const QDate &amp;from, const QDate &amp;to, bool justThisTask=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTask</name>
      <anchor>a3</anchor>
      <arglist>(Task *t, QString &amp;s, int level)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printWeekTask</name>
      <anchor>a4</anchor>
      <arglist>(const Task *t, const QMap&lt; QString, long &gt; &amp;datamap, QMap&lt; QString, long &gt; &amp;daytotals, const Week &amp;week, const int level, QString &amp;retval)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Week</name>
    <filename>classWeek.html</filename>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchor>a1</anchor>
      <arglist>(QDate from)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>start</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>end</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QDate &gt;</type>
      <name>days</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QValueList&lt; Week &gt;</type>
      <name>weeksFromDateRange</name>
      <anchor>d0</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>sig_slot_index</name>
    <title>Index of Signals and Slots</title>
    <filename>sig_slot_index</filename>
    <docanchor>overview</docanchor>
    <docanchor>private</docanchor>
    <docanchor>protected</docanchor>
    <docanchor>public</docanchor>
    <docanchor>signals</docanchor>
    <docanchor>slots</docanchor>
  </compound>
  <compound kind="page">
    <name>connections</name>
    <title>Index of the signal/slot connections</title>
    <filename>connections</filename>
  </compound>
</tagfile>
